## crystal-facet-uml 1.42.0

=== debian/changelog ===
crystal-facet-uml (1.42.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/source/lintian-overrides:
    + Adjust override tag.
  * debian/patches:
    + Add 1001_typo-fix.patch.
  * debian/copyright:
    + Update copyright attributions for debian/*.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 11 Oct 2022 08:51:28 +0200
