## crystal-facet-uml 1.43.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PROJECT(crystal-facet-uml LANGUAGES C)
 CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
 
-#helper to find include directories and libraries:
+# pkgconfig is a helper program to find include directories and libraries:
 FIND_PACKAGE(PkgConfig REQUIRED)
 
 # ==== ==== ==== ==== ==== ==== ==== ==== Build Environment Settings ==== ==== ==== ==== ==== ==== ==== ====
@@ -32,8 +32,13 @@
 INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS})
 #MESSAGE("GLIB2:   ${GLIB2_INCLUDE_DIRS}")
 
-PKG_SEARCH_MODULE(GTK REQUIRED gtk+-3.0)
-#PKG_SEARCH_MODULE(GTK REQUIRED gtk4)
+#install gtk4 and call cmake -DCFU_USE_GTK4=ON . to activate GTK4
+SET(CFU_USE_GTK4 FALSE CACHE BOOL "Set to link to the new GTK4")
+if(CFU_USE_GTK4)
+    PKG_SEARCH_MODULE(GTK REQUIRED gtk4)
+else(CFU_USE_GTK4)
+    PKG_SEARCH_MODULE(GTK REQUIRED gtk+-3.0)
+endif(CFU_USE_GTK4)
 INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS})
 MESSAGE("GTK:    ${GTK_INCLUDE_DIRS}")
 MESSAGE("GTK:    ${GTK_FOUND}")
@@ -54,16 +59,17 @@
 #MESSAGE("PANGOCAIRO: ${PANGOCAIRO_INCLUDE_DIRS}")
 
 FILE(GLOB commonSource gui/source/*.c
-                       gui/source/sketch_area/*.c
+                       gui/source/sketch/*.c
                        ctrl/source/*.c
                        data/source/*.c
                        data/source/storage/*.c
                        data/source/set/*.c
                        u8buf/source/utf8stringbuf/*.c
+                       u8stream/source/dir/*.c
                        u8stream/source/u8stream/*.c
                        u8stream/source/trace/*.c
                        pencil/source/*.c
-                       pencil/source/util/geometry/*.c
+                       pencil/source/geometry/*.c
                        pencil/source/draw/*.c
                        io/source/*.c
                        io/source/image/*.c
