=== debian/changelog ===
crystal-facet-uml (1.43.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_typo-fix.patch. Applied upstream.
  * debian/copyright:
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Drop file. Override not required anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Nov 2022 22:20:32 +0100
