=== debian/changelog ===
crystal-facet-uml (1.45.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Jan 2023 21:45:29 +0100
