## crystal-facet-uml 1.46.0

=== debian/changelog ===
crystal-facet-uml (1.46.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2023 11:06:10 +0100
