## crystal-facet-uml 1.47.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,7 +65,7 @@
                        data/source/storage/*.c
                        data/source/set/*.c
                        u8buf/source/utf8stringbuf/*.c
-                       u8stream/source/dir/*.c
+                       u8stream/source/u8dir/*.c
                        u8stream/source/u8stream/*.c
                        u8stream/source/u8/*.c
                        pencil/source/*.c
@@ -158,7 +158,7 @@
 endif(CFU_ADD_GCOV_TARGET)
 
 
-# Copyright 2018-2022 Andreas Warnke
+# Copyright 2018-2023 Andreas Warnke
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
