=== debian/changelog ===
crystal-facet-uml (1.47.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Feb 2023 22:57:51 +0100
