=== debian/changelog ===
crystal-facet-uml (1.50.1-1) unstable; urgency=medium

  * New upstream release.
    - The gcov target is only built if -DCFU_ADD_GCOV_TARGET=ON (Closes:
      #983836). (OFF by default).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Jun 2023 06:35:09 +0200
