## crystal-facet-uml 1.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,8 +58,10 @@
 #MESSAGE("PANGOCAIRO: ${PANGOCAIRO_INCLUDE_DIRS}")
 
 FILE(GLOB commonSource gui/source/*.c
+                       gui/source/attributes/*.c
                        gui/source/sketch/*.c
                        ctrl/source/*.c
+                       ctrl/source/consistency/*.c
                        data/source/*.c
                        data/source/storage/*.c
                        data/source/set/*.c
@@ -75,7 +77,7 @@
                        io/source/json/*.c
                        io/source/xml/*.c
                        io/source/txt/*.c
-                       io/source/xhtml/*.c
+                       io/source/document/*.c
                        io/source/xmi/*.c
                        io/source/md/*.c)
 FILE(GLOB appSource    main/source/*.c)
