=== debian/changelog ===
crystal-facet-uml (1.54.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Dec 2023 09:49:10 +0100
