## crystal-facet-uml 1.55.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 #MESSAGE("GLIB2:   ${GLIB2_INCLUDE_DIRS}")
 
 #install gtk4 and call cmake -DCFU_USE_GTK4=ON . to activate GTK4
-SET(CFU_USE_GTK4 FALSE CACHE BOOL "Set to link to the new GTK4")
+SET(CFU_USE_GTK4 TRUE CACHE BOOL "Set to link to the new GTK4")
 if(CFU_USE_GTK4)
     PKG_SEARCH_MODULE(GTK REQUIRED gtk4)
 else(CFU_USE_GTK4)
@@ -75,11 +75,9 @@
                        io/source/*.c
                        io/source/image/*.c
                        io/source/json/*.c
-                       io/source/xml/*.c
-                       io/source/txt/*.c
                        io/source/document/*.c
                        io/source/xmi/*.c
-                       io/source/md/*.c)
+                       io/source/format/*.c)
 FILE(GLOB appSource    main/source/*.c)
 FILE(GLOB utestSource  main/test/*.c
                        data/test/unit/*.c
@@ -130,10 +128,10 @@
 # ==== ==== ==== ==== ==== ==== ==== ==== Install Settings ==== ==== ==== ==== ==== ==== ==== ====
 
 INSTALL(TARGETS crystal-facet-uml DESTINATION "/usr/bin/")
-INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/installation_linux/crystal-facet-uml.desktop" DESTINATION "/usr/share/applications/")
-INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/installation_linux/crystal-facet-uml.metainfo.xml" DESTINATION "/usr/share/metainfo/")
+INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/installation/linux/crystal-facet-uml.desktop" DESTINATION "/usr/share/applications/")
+INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/installation/linux/crystal-facet-uml.metainfo.xml" DESTINATION "/usr/share/metainfo/")
 INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/gui/source/resources/crystal_facet_uml_80x80.png" DESTINATION "/usr/share/pixmaps/" RENAME "crystal-facet-uml.png")
-INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/user_doc/crystal-facet-uml.1.gz" DESTINATION "/usr/share/man/man1/")
+INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/installation/linux/crystal-facet-uml.1.gz" DESTINATION "/usr/share/man/man1/")
 
 # ==== ==== ==== ==== ==== ==== ==== ==== gcov Target Settings ==== ==== ==== ==== ==== ==== ==== ====
 
@@ -156,7 +154,7 @@
 endif(CFU_ADD_GCOV_TARGET)
 
 
-# Copyright 2018-2023 Andreas Warnke
+# Copyright 2018-2024 Andreas Warnke
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -169,4 +167,3 @@
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License.
-
