=== build/user_manual/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 .PHONY: info
 info:
-	@printf "== call \\e[33;1m make install \\e[0m to update the files in folder ../../user_doc ==\n"
+	@printf "== call \\e[33;1m make install \\e[0m to update the files in folder ../../installation ==\n"
 
 .PHONY: clean
 clean:
@@ -49,11 +49,11 @@
 
 .PHONY: install
 install: crystal-facet-uml_documentation.pdf crystal-facet-uml.1.gz
-	cp crystal-facet-uml_documentation.pdf ../../user_doc/ &&\
-	cp ${MANPAGE_FILE}.gz ../../user_doc/
+	cp crystal-facet-uml_documentation.pdf ../../installation/ &&\
+	cp ${MANPAGE_FILE}.gz ../../installation/linux/
 
 
-# Copyright 2021-2023 Andreas Warnke
+# Copyright 2021-2024 Andreas Warnke
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -66,4 +66,3 @@
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License.
-
