=== debian/changelog ===
crystal-facet-uml (1.55.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:09 +1100

crystal-facet-uml (1.55.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:09:09 +0000

crystal-facet-uml (1.55.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Feb 2024 18:58:20 +0100

crystal-facet-uml (1.55.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attribution for debian/.

  [ Andreas Warnke ]
  * New upstream release.
  * debian/:
    + Switch to Gtk-4.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Feb 2024 18:20:15 +0100
