=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: crystal-facet-uml
 Section: devel
 Priority: optional
-Maintainer: Andreas Warnke <cfu@andreaswarnke.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Warnke <cfu@andreaswarnke.de>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- libgtk-3-dev,
+ libgtk-4-dev,
  libsqlite3-dev,
 Standards-Version: 4.6.2
 Homepage: https://andreaswarnke.de/crystal-facet-uml/html/index.html
@@ -30,6 +31,8 @@
  views. crystal-facet-uml keeps element names and element hierarchies
  consistent. It exports diagrams in svg, pdf, ps and png formats to be
  used in text processing systems like DocBook, html, LaTeX.
- crystal-facet-uml exports the model to xmi format.
+ crystal-facet-uml exports the model to json and xmi format; json can
+ also be imported. The json-based data format can be stored to git,
+ branched and merged together with your source code.
  This tool runs on your local PC and is based on
- glib, gdk, gtk, cairo, pango, sqlite.
+ gtk (incl. glib, gdk, cairo, pango) and sqlite.
